helm 同一个仓库中包含不同版本的chart包,helm search只能搜到一个高版本的?-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

helm 同一个仓库中包含不同版本的chart包,helm search只能搜到一个高版本的?

2018-12-27 16:55:39 7511 1

在自己创建的chart仓库里,上传了某一个chart的不同版本,index文件也更新了,也helm repo update了,但是helm search只能搜到一个高版本的,这是正常的?还是不合理啊?谢谢各位大神

我的模块叫nezha,版本是0.1.0和1.1.0,只能搜到1.1.0

[root@host1 ~]# helm repo list
NAME URL
stable https://kubernetes.oss-cn-hangzhou.aliyuncs.com/charts
local http://127.0.0.1:8879/charts
hanyu http://192.168.66.130:9000/wuzhao
[root@host1 ~]# helm search hanyu
NAME VERSION DESCRIPTION
hanyu/mysql 0.3.5 Fast, reliable, scalable, and easy to use open-...
hanyu/nezha 1.1.0 A Helm chart for Kubernetes
hanyu/redis 1.1.15 Open source, advanced key-value store. It is of...
hanyu/spark 0.1.10 Fast and general-purpose cluster computing system.
hanyu/wordpress 0.8.8 Web publishing platform for building blogs and ...
hanyu/zetcd 0.1.6 CoreOS zetcd Helm chart for Kubernetes

[root@host1 ~]# cat .helm/repository/cache/hanyu-index.yaml
apiVersion: v1
entries:
mysql:

取消 提交回答
全部回答(1)
  • xianlubird
    2019-07-17 23:23:57

    看一下你打包的时候 Chart.yaml 里面version 和appVersion 是否变更增加1

    0 0
相关问答

1

回答

seata1.5版本支持conf文件配置吗?

2022-08-15 14:57:32 564浏览量 回答数 1

1

回答

Systemd中的Unit 文件类型.swap描述了什么?

2021-12-01 20:06:47 242浏览量 回答数 1

1

回答

Systemd中Unit 文件占位符%t的含义是什么?

2021-12-02 15:46:03 282浏览量 回答数 1

1

回答

set集合方法intersection_update()的功能是什么?

2021-11-04 21:13:36 160浏览量 回答数 1

1

回答

小白求助,安卓APP开发时eclipse里报错insert "Enum?报错

2020-06-23 15:22:17 336浏览量 回答数 1

1

回答

App支付跟移动支付接口sdk是否相同?

2019-10-31 14:24:33 560浏览量 回答数 1

1

回答

收到短信提示“国内套餐包余量已达预警值500条”,但在网页中显示短信还剩4万多条

2018-08-23 16:39:22 1704浏览量 回答数 1

0

回答

邮件推送DM资源包FP-ugr2tum9w 这个是作为什么用途

2018-08-20 16:21:05 1408浏览量 回答数 0

2

回答

open-search 中搜索sdk调用所用时间很长是怎么回事?

2017-01-23 15:58:18 2329浏览量 回答数 2

1

回答

关于安卓开发中eclipse 可不可以安装任何版本的ADT 或sdk

2016-06-06 12:53:23 2011浏览量 回答数 1
+关注
0
文章
3
问答
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载